| QxOrm 1.3.1 C++ Object Relational Mapping library

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions
qx::dao::detail::QxSqlLimit Class Reference
QxDao : QxOrm library database communication used by persistence engine (ORM - Object Relational Mapping)

qx::dao::detail::QxSqlLimit : SQL element to limit rows count fetched from database More...

`#include <QxSqlLimit.h>`

Inheritance diagram for qx::dao::detail::QxSqlLimit:

List of all members.

## Public Member Functions
| QxSqlLimit ()
| QxSqlLimit (int index)
virtual | ~QxSqlLimit ()
virtual QString | toString () const
virtual void | resolve (QSqlQuery &query) const
virtual void | postProcess (QString &sql) const
int | getStartRow () const
int | getRowsCount () const
int | getMaxRow () const
QString | getStartRow_ParamKey () const
QString | getRowsCount_ParamKey () const
QString | getMaxRow_ParamKey () const
virtual IxSqlElement::type_class | getTypeClass () const
## Protected Member Functions
virtual QString | getExtraSettings () const
virtual void | setExtraSettings (const QString &s)

## Detailed Description

qx::dao::detail::QxSqlLimit : SQL element to limit rows count fetched from database

Definition at line 56 of file QxSqlLimit.h.

## Constructor & Destructor Documentation

qx::dao::detail::QxSqlLimit::QxSqlLimit | ( |  | ) |

qx::dao::detail::QxSqlLimit::QxSqlLimit | ( | int | index | ) |

virtual qx::dao::detail::QxSqlLimit::~QxSqlLimit | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual QString qx::dao::detail::QxSqlLimit::getExtraSettings | ( |  | ) | const`[protected, virtual]`

Implements qx::dao::detail::IxSqlElement.

int qx::dao::detail::QxSqlLimit::getMaxRow | ( |  | ) | const

QString qx::dao::detail::QxSqlLimit::getMaxRow_ParamKey | ( |  | ) | const

int qx::dao::detail::QxSqlLimit::getRowsCount | ( |  | ) | const

QString qx::dao::detail::QxSqlLimit::getRowsCount_ParamKey | ( |  | ) | const

int qx::dao::detail::QxSqlLimit::getStartRow | ( |  | ) | const

QString qx::dao::detail::QxSqlLimit::getStartRow_ParamKey | ( |  | ) | const

virtual IxSqlElement::type_class qx::dao::detail::QxSqlLimit::getTypeClass | ( |  | ) | const`[virtual]`

Implements qx::dao::detail::IxSqlElement.

virtual void qx::dao::detail::QxSqlLimit::postProcess | ( | QString & | sql | ) | const`[virtual]`

Implements qx::dao::detail::IxSqlElement.

virtual void qx::dao::detail::QxSqlLimit::resolve | ( | QSqlQuery & | query | ) | const`[virtual]`

Implements qx::dao::detail::IxSqlElement.

virtual void qx::dao::detail::QxSqlLimit::setExtraSettings | ( | const QString & | s | ) | `[protected, virtual]`

Implements qx::dao::detail::IxSqlElement.

virtual QString qx::dao::detail::QxSqlLimit::toString | ( |  | ) | const`[virtual]`

Implements qx::dao::detail::IxSqlElement.

The documentation for this class was generated from the following file:

- D:/Dvlp/_Perso/QxOrm/include/QxDao/QxSqlElement/QxSqlLimit.h